import Foundation

extension FileManager {

    var documentDirectory: URL {
        try! url(
            for: .documentDirectory,
            in: .userDomainMask,
            appropriateFor: nil, create: true)
    }
}

extension Content {

    private static let dbPath = FileManager.default.documentDirectory.appendingPathComponent("db").path()

    static let mock: Content = Content(
        settings: .default,
        posts: [.empty, .mock, .fullMock],
        pages: [.empty],
        tags: [.hiking, .mountains, .nature, .sports],
        files: [],
        tagOverview: nil)
}
